Subject: Re: [RFC/RFH] Fun things with git-notes, or: patch tracking backwards

From: Thomas Rast <[email-masked]>
Date: Wed, 11 Feb 2009 00:12:30 +0100

Junio C Hamano wrote:
> Thomas Rast <[email-masked]> writes:
> 
> > I have imported all commits, and mails since roughly July 2008
> > (starting with Gmane 89000).  In this timeframe there were 1802
> > non-merge commits, and the mailnotes tree now holds 1122 annotations.
> 
> How do you match the mails to commits?
> 
> I am curious what the right balance for the matching algorithm should be,
> between being forgiving about amending of commit log message and the patch
> text to fix minor typos and obvious bugs, and being strict not to cause
> false matches to a message that contains the second iteration of the
> patch, when what was committed was the first iteration.

Right now it's just the patch-id.  Maybe filtering (author,subject)
and then picking the one that is the most similar could work.

-- 
Thomas Rast
trast@{inf,student}.ethz.ch